## gate.gui
Class TextAttributesChooser

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Dialog
                              |
                              +--javax.swing.JDialog
                                    |
                                    +--gate.gui.TextAttributesChooser

All Implemented Interfaces:
  Accessible, ImageObserver, MenuContainer, RootPaneContainer, Serializable, WindowConstants

public class TextAttributesChooser
extends JDialog

A dialog used to set the attributes for text display. The attribute set includes font family, size, foreground and background colours, italic, bold, etc.

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JDialog
`JDialog.AccessibleJDialog`

Inner classes inherited from class java.awt.Dialog
`Dialog.AccessibleAWTDialog`

Inner classes inherited from class java.awt.Window
`Window.AccessibleAWTWindow`

Inner classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.AWTTreeLock`

Field Summary
`(package private) JColorChooser` `bgChooser`
`(package private) JCheckBox` `boldChk`
`(package private) JButton` `cancelButton`
`(package private) boolean` `choice`
`(package private) MutableAttributeSet` `currentStyle`
`(package private) JColorChooser` `fgChooser`
`(package private) JComboBox` `fontFamilyCombo`
`(package private) JComboBox` `fontSizeCombo`
`(package private) JCheckBox` `italicChk`
`(package private) JButton` `okButton`
`(package private) JTextPane` `sampleText`
`(package private) JCheckBox` `strikethroughChk`
`(package private) JCheckBox` `subscriptChk`
`(package private) JCheckBox` `superscriptChk`
`(package private) JCheckBox` `underlineChk`
`(package private) JCheckBox` `useBackgroundChk`
`(package private) JCheckBox` `useForegroundChk`

Fields inherited from class javax.swing.JDialog
`accessibleContext, defaultCloseOperation, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Dialog
`base, keepBlocking, modal, nameCounter, resizable, serialVersionUID, title`

Fields inherited from class java.awt.Window
`active, dbg, focusMgr, inputContext, inputContextLock, OPENED, ownedWindowList, state, warningString, weakThis, windowListener, windowSerializedDataVersion`

Fields inherited from class java.awt.Container
`component, containerListener, containerSerializedDataVersion, dispatcher, layoutMgr, listeningBoundsChildren, listeningChildren, maxSize, ncomponents, printing, printingThreads`

Fields inherited from class java.awt.Component

`actionListenerK, adjustmentListenerK, appContext, background, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, changeSupport, componentListener, componentListenerK, componentOrientation, componentSerializedDataVersion, containerListenerK, cursor, dropTarget, enabled, eventMask, focusListener, focusListenerK, font, foreground, graphicsConfig, hasFocus, height, hierarchyBoundsListener, hierarchyBoundsListenerK, hierarchyListener, hierarchyListenerK, incRate, inputMethodListener, inputMethodListenerK, isInc, isPacked, itemListenerK, keyListener, keyListenerK, LEFT_ALIGNMENT, locale, LOCK, metrics, minSize, mouseListener, mouseListenerK, mouseMotionListener, mouseMotionListenerK, name, nameExplicitlySet, newEventsOnly, ownedWindowK, parent, peer, peerFont, popups, prefSize, privateKey, RIGHT_ALIGNMENT, textListenerK, TOP_ALIGNMENT, valid, visible, width, windowClosingException, windowListenerK, x, y`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`TextAttributesChooser()`
`TextAttributesChooser(Dialog parent, String title, boolean modal)`
`TextAttributesChooser(Frame parent, String title, boolean modal)`

Method Summary
`(package private) void` `jbInit()`
`static void` `main(String[] args)` Test code
`AttributeSet` `show(AttributeSet style)` Initialises all the values for the attributes from the provided attribute set and displays the dialog allowing the user to make changes.
`protected void` `updateData()` Updates all the GUI components to show the values in the current attribute set.
`protected void` `updateSample()` Updates the sample text with the current attributes.

Methods inherited from class javax.swing.JDialog

`addImpl, createRootPane, createRootPaneException, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, processKeyEvent, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setLocationRelativeTo, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`<clinit>, addNotify, conditionalShow, constructComponentName, dispose, disposeImpl, getTitle, hide, hideAndDisposeHandler, initIDs, interruptBlocking, isModal, isResizable, setModal, setResizable, setTitle, show`

Methods inherited from class java.awt.Window

`addOwnedWindow, addWindowListener, adjustListeningChildren, applyResourceBundle, applyResourceBundle, connectOwnedWindow, dispatchEventImpl, eventEnabled, finalize, getFocusOwner, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, isActive, isShowing, nextFocus, ownedInit, pack, postEvent, postProcessKeyEvent, postWindowEvent, preProcessKeyEvent, processEvent, readObject, removeOwnedWindow, removeWindowListener, resetGC, setCursor, setFocusOwner, setWarningString, toBack, toFront, transferFocus, writeObject`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, applyOrientation, checkGD, countComponents, createChildHierarchyEvents, createHierarchyEvents, deliverEvent, dispatchEventToSelf, doLayout, findComponentAt, findComponentAt, findComponentAt, getAccessibleAt, getAccessibleChild, getAccessibleChildrenCount, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents_NoClientCode, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getMouseEventTarget, getPreferredSize, getWindow, insets, invalidate, invalidateTree, isAncestorOf, layout, lightweightPaint, lightweightPrint, list, list, locate, minimumSize, numListening, paint, paintComponents, paintHeavyweightComponents, postsOldMouseEvents, preferredSize, print, printComponents, printHeavyweightComponents, processContainerEvent, proxyEnableEvents, proxyRequestFocus, remove, removeAll, removeContainerListener, removeNotify, setFont, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, areInputMethodsEnabled, bounds, checkImage, checkImage, checkWindowClosingException, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getAccessibleIndexInParent, getAccessibleStateSet, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont_NoClientCode, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen_NoTreeLock, getLocationOnScreen, getName, getNativeContainer, getParent_NoClientCode, getParent, getPeer, getSize, getSize, getToolkitImpl, getTreeLock, getWidth, getWindowForObject, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isEnabledImpl, isFocusTraversable, isLightweight, isOpaque, isRecursivelyVisible, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### fontFamilyCombo

    JComboBox fontFamilyCombo

### fontSizeCombo

    JComboBox fontSizeCombo

### boldChk

    JCheckBox boldChk

### italicChk

    JCheckBox italicChk

### underlineChk

    JCheckBox underlineChk

### subscriptChk

    JCheckBox subscriptChk

### superscriptChk

    JCheckBox superscriptChk

### strikethroughChk

    JCheckBox strikethroughChk

### useForegroundChk

    JCheckBox useForegroundChk

### useBackgroundChk

    JCheckBox useBackgroundChk

### fgChooser

    JColorChooser fgChooser

### bgChooser

    JColorChooser bgChooser

### sampleText

    JTextPane sampleText

### okButton

    JButton okButton

### cancelButton

    JButton cancelButton

### currentStyle

    MutableAttributeSet currentStyle

### choice

    boolean choice

Constructor Detail

### TextAttributesChooser

    public TextAttributesChooser(Frame parent,
                                 String title,
                                 boolean modal)

### TextAttributesChooser

    public TextAttributesChooser(Dialog parent,
                                 String title,
                                 boolean modal)

### TextAttributesChooser

    public TextAttributesChooser()

Method Detail

### jbInit

    void jbInit()
          throws Exception

### show

    public AttributeSet show(AttributeSet style)

  Initialises all the values for the attributes from the provided attribute set and displays the dialog allowing the user to make changes. If the user presses the OK button the method will return the values as modified by the user otherwise it will return the attribute set received as input.
  Parameters:
    `the` - attribute set to be used as a starting point for the user's selections
  Returns:
    an `AttributeSet` containing the values selected by the user.

### updateData

    protected void updateData()

  Updates all the GUI components to show the values in the current attribute set.

### updateSample

    protected void updateSample()

  Updates the sample text with the current attributes.

### main

    public static void main(String[] args)

  Test code